<!-- 系统公告 -->
<template>
  <div class="main_box" v-if="show">
    <div class="mark"></div>

    <div>

    </div>
    <div class="sys_box">

      <div class="title">{{sys_info_data.title}}</div>
      <div class="date">{{sys_info_data.updated_at}}</div>
      <div class="content" v-html="sys_info_data.content"></div>

      <div class="footer mt20 tc">
        <van-checkbox class="flex-c" :checked-color="m_color" v-model="checked"><span class="notip">不再提示</span></van-checkbox>
      </div>

       <van-icon @click="handelClose" class="icon" color="#eee" name="close" size="0.6rem" />
    </div>

   

  </div>
</template>

<script>
export default {
  name:'sys_info_d',
  data() {
    return {
      show: false,
      sys_info_data: {},
      checked: false,

    }
  },
  activated() {
    if (sessionStorage.no_sys_info == 1) {
      return
    }
    this.get_site_info()
  },
  methods: {
    handelClose() {
      if (this.checked) {
        sessionStorage.no_sys_info = 1
      }

      this.show = false
    },
    //获取站点信息
    get_site_info() {
      this.api.site_info().then(res => {
        let sys_info = res.data.sys_info
        if (sys_info) {
          this.sys_info_data = sys_info
          this.show = true

        }
      })
    },
  },
  watch: {
    show: {
      handler(v) {
        if (v) {
          document.body.classList.add('nScoll')
        } else {
          document.body.classList.remove('nScoll')
        }
      },
      immediate: true
    }
  }
}

</script>
<style lang='scss' scoped>
.mark {
  width: 100%;
  height: 100%;
  z-index: 100;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: #000;
  opacity: 0.5;
}

.sys_box {
  width: 80%;

  background: #fff;
  position: fixed;
  z-index: 101;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 0.26rem;
  border-radius: 0.1rem;
}

.content {
  height: 4rem;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}

.icon {
  position: absolute;
  z-index: 101;
  left: 50%;
  bottom: -1rem;
  transform: translate(-50%);
}

.title {
  font-size: 0.32rem;
  text-align: center;
  font-weight: bold;
}

.date {
  margin-top: 0.1rem;
  margin-bottom: 0.1rem;
  font-size: 0.28rem;
  text-align: center;
  color: #999;
}

.notip {
  font-size: 0.3rem;
  color: #888;
}
</style>